/*----------------------------------------------------------------------------
 * Nazwa:   GPIO_procedury.h	  
 * Funkcja: Plik nagwkowy procedur zwizanych z liniami portw
 *          programu demonstracyjnego pytki KAMAMI
 *          dla ukadu ZXCT1086 
 * 	
 * Version: V1.00
 *----------------------------------------------------------------------------
 * Plik zawiera:
 * deklaracje zewntrznych procedur i zmiennych
 * deklaracje procedur zwizanych z obsug linii I/O
 *
 * Copyright (c) 2012 ARIES. All rights reserved.
 *----------------------------------------------------------------------------*/
/* Define to prevent recursive inclusion ------------------------------------ */
#ifndef __GPIO_PROCEDURY_H
#define __GPIO_PROCEDURY_H

#include "stm32f10x_conf.h"
#include "Definicje_sprzet.h"
/*
// LCD connection
#define PORT_ctrl          		GPIOC    
#define RCC_APB2Periph_ctrl    	RCC_APB2Periph_GPIOC
#define DATA 					GPIO_Pin_4 
#define CLK 					GPIO_Pin_5	
#define CS 						GPIO_Pin_6
#define RES 					GPIO_Pin_7
*/
void GPIO_Inicjacja(void);
void GPIO_LINEInit(Line_TypeDef Line, GPIOMode_TypeDef Line_mode);
void GPIO_LINEHigh(Line_TypeDef Line);
void GPIO_LINELow(Line_TypeDef Line);
uint32_t GPIO_LINEStanLinii(Line_TypeDef Line);
void SPI_Configuration(void);




#endif

