/*----------------------------------------------------------------------------
 * Nazwa:   Definicje_sprzet.h	  
 * Funkcja: Plik nagwkowy globalnych definicji portw i linii
 * programu demonstracyjnego pytki	KAMAMI
 * dla ukadu ZXCT1086 
 *----------------------------------------------------------------------------
 * Plik zawiera:
 * 1. definicje portw I/O
 *
 *
 * Copyright (c) 2012 ARIES. All rights reserved.
 *----------------------------------------------------------------------------*/
/* Define to prevent recursive inclusion ------------------------------------ */

#ifndef __DEFINICJE_SPRZET_H
#define __DEFINICJE_SPRZET_H


// LCD connection
#define PORT_ctrl          		GPIOA   
#define RCC_APB2Periph_ctrl    	RCC_APB2Periph_GPIOA
#define DATA 					GPIO_Pin_7 
#define CLK 					GPIO_Pin_5	
#define CS 						GPIO_Pin_4
#define RES 					GPIO_Pin_3

//definicje portw sterujcych liniami I/O wywietlacza LCD KAmodTFT2
#define LINEn						4
typedef enum
{
	LINE_DATA	=0,
	LINE_CLK	=1,
	LINE_CS		=2,
	LINE_RES	=3
}Line_TypeDef;
	//DATA 
#define LINE_DATA_PORT				PORT_ctrl
#define LINE_DATA_CLK				RCC_APB2Periph_ctrl
#define LINE_DATA_PIN				DATA
	//CLK
#define LINE_CLK_PORT				PORT_ctrl
#define LINE_CLK_CLK				RCC_APB2Periph_ctrl
#define LINE_CLK_PIN				CLK
	//CS
#define LINE_CS_PORT				PORT_ctrl
#define LINE_CS_CLK					RCC_APB2Periph_ctrl
#define LINE_CS_PIN					CS
	//RES
#define LINE_RES_PORT				PORT_ctrl
#define LINE_RES_CLK				RCC_APB2Periph_ctrl
#define LINE_RES_PIN				RES
//linia wejciowa przetwornika A/D pomiaru napicia zasilania
#define LIN_A_D_KONWERSJA_PORT		GPIOA
#define LIN_A_D_KONWERSJA_CLK		RCC_APB2Periph_GPIOA
#define LIN_A_D_KONWERSJA_PIN		GPIO_Pin_0
#define KANAL_KONWERSJI_AD_VZ		ADC_Channel_0



#endif

